Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.microedition.lcdui
Class Alert

    java.lang.Object
      javax.microedition.lcdui.Displayable
          javax.microedition.lcdui.Screen
              javax.microedition.lcdui.Alert

    public class Alert

extends Screen

Author:
  Andre Nijholt

Field Summary
`static int` | `ALERT_TYPE_ALARM`
`static int` | `ALERT_TYPE_CONFIRMATION`
`static int` | `ALERT_TYPE_ERROR`
`static int` | `ALERT_TYPE_INFO`
`static int` | `ALERT_TYPE_WARNING`
`static int` | `FOREVER`
`static Image` | `IMG_ALARM`
`static Image` | `IMG_CONFIRM`
`static Image` | `IMG_ERROR`
`static Image` | `IMG_INFO`
`static Image` | `IMG_WARNING`
`static String` | `STR_CONFIRM`
`static String` | `STR_DENY`

Fields inherited from class javax.microedition.lcdui.Displayable
`cmdListener, commands, height, KEY_BACK, KEY_ENTER, KEY_LEFT, KEY_RIGHT, shown, ticker, title, width`

Constructor Summary
`Alert(String title)`
`Alert(String title, String alertText, Image alertImage, int alertType)`

Method Summary
`boolean` | `getConfirmation()`
`Gauge` | `getIndicator()`
`int` | `getTimeout()`
`protected void` | `keyPressed(int keyCode)`
`void` | `paint(Graphics g)`
`void` | `setIndicator(Gauge indicator)`
`void` | `setString(String alertText)`
`void` | `setTimeout(int time)`
`void` | `setType(int alertType)`
`protected void` | `showNotify()`

Methods inherited from class javax.microedition.lcdui.Screen
`hideNotify, keyReleased`

Methods inherited from class javax.microedition.lcdui.Displayable
`addCommand, callCommandListener, clearPaintRequest, getHeight, getPaintRequest, getTicker, getTitle, getWidth, isShown, removeCommand, repaint, setCommandListener, setTicker, setTicker, setTitle, sizeChanged`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait`

Field Detail

### FOREVER

    public static final int FOREVER

See Also:
  Constant Field Values

### ALERT_TYPE_INFO

    public static final int ALERT_TYPE_INFO

See Also:
  Constant Field Values

### ALERT_TYPE_WARNING

    public static final int ALERT_TYPE_WARNING

See Also:
  Constant Field Values

### ALERT_TYPE_ERROR

    public static final int ALERT_TYPE_ERROR

See Also:
  Constant Field Values

### ALERT_TYPE_ALARM

    public static final int ALERT_TYPE_ALARM

See Also:
  Constant Field Values

### ALERT_TYPE_CONFIRMATION

    public static final int ALERT_TYPE_CONFIRMATION

See Also:
  Constant Field Values

### STR_CONFIRM

    public static final String STR_CONFIRM

See Also:
  Constant Field Values

### STR_DENY

    public static final String STR_DENY

See Also:
  Constant Field Values

### IMG_INFO

    public static final Image IMG_INFO

### IMG_WARNING

    public static final Image IMG_WARNING

### IMG_ERROR

    public static final Image IMG_ERROR

### IMG_ALARM

    public static final Image IMG_ALARM

### IMG_CONFIRM

    public static final Image IMG_CONFIRM

Constructor Detail

### Alert

    public Alert(String title)

### Alert

    public Alert(String title,
                 String alertText,
                 Image alertImage,
                 int alertType)

Method Detail

### setType

    public void setType(int alertType)

### setString

    public void setString(String alertText)

### setTimeout

    public void setTimeout(int time)

### getTimeout

    public int getTimeout()

### getConfirmation

    public boolean getConfirmation()

### setIndicator

    public void setIndicator(Gauge indicator)

### getIndicator

    public Gauge getIndicator()

### keyPressed

    protected void keyPressed(int keyCode)

  Overrides:
    `keyPressed` in class `Screen`

### showNotify

    protected void showNotify()

  Overrides:
    `showNotify` in class `Screen`

### paint

    public void paint(Graphics g)

  Specified by:
    `paint` in class `Screen`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD